Package com.io7m.waxmill.machines

# Interface WXMDeviceType.WXMDeviceHostBridgeType

All Superinterfaces:
  `WXMDeviceType`

All Known Implementing Classes:
  `WXMDeviceHostBridge`

Enclosing interface:
  WXMDeviceType

    @Immutable
    public static interface WXMDeviceType.WXMDeviceHostBridgeType
    extends WXMDeviceType

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Interface | Description
  --- | --- | ---
  `static class` | `WXMDeviceType.WXMDeviceHostBridgeType.Vendor` |

  ## Nested classes/interfaces inherited from interface com.io7m.waxmill.machines.WXMDeviceType

  `WXMDeviceType.Kind, WXMDeviceType.WXMDeviceAHCIDiskType, WXMDeviceType.WXMDeviceAHCIOpticalDiskType, WXMDeviceType.WXMDeviceE1000Type, WXMDeviceType.WXMDeviceFramebufferType, WXMDeviceType.WXMDeviceHostBridgeType, WXMDeviceType.WXMDeviceLPCType, WXMDeviceType.WXMDevicePassthruType, WXMDeviceType.WXMDeviceVirtioBlockStorageType, WXMDeviceType.WXMDeviceVirtioNetworkType, WXMDeviceType.WXMLPCTTYNames, WXMDeviceType.WXMSectorSizesType, WXMDeviceType.WXMStorageBackendFileType, WXMDeviceType.WXMStorageBackendType, WXMDeviceType.WXMStorageBackendZFSVolumeType, WXMDeviceType.WXMTTYBackendFileType, WXMDeviceType.WXMTTYBackendNMDMType, WXMDeviceType.WXMTTYBackendStdioType, WXMDeviceType.WXMTTYBackendType`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `default java.lang.String` | `comment()` |
  `WXMDeviceSlot` | `deviceSlot()` |
  `default java.lang.String` | `externalName()` |
  `default WXMDeviceType.Kind` | `kind()` |
  `WXMDeviceType.WXMDeviceHostBridgeType.Vendor` | `vendor()` |

  ### Methods inherited from interface com.io7m.waxmill.machines.WXMDeviceType

  `isConsoleDevice, isStorageDevice`

- ## Method Details

  - ### deviceSlot

    WXMDeviceSlot deviceSlot()
    Specified by:
      `deviceSlot` in interface `WXMDeviceType`
    Returns:
      The device slot

  - ### vendor

    WXMDeviceType.WXMDeviceHostBridgeType.Vendor vendor()

  - ### comment

    @Default default java.lang.String comment()
    Specified by:
      `comment` in interface `WXMDeviceType`
    Returns:
      A descriptive comment

  - ### kind

    default WXMDeviceType.Kind kind()
    Specified by:
      `kind` in interface `WXMDeviceType`
    Returns:
      The device kind

  - ### externalName

    default java.lang.String externalName()
    Specified by:
      `externalName` in interface `WXMDeviceType`
    Returns:
      The external name of the type (such as `ahci-cd`).